<!DOCTYPE html>
<html>
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1" charset="UTF-8">
    <title>onNotificationPosted</title>
    <link href="../../../../images/logo-icon.svg" rel="icon" type="image/svg">
    <script>var pathToRoot = "../../../../";</script>
    <script>const storage = localStorage.getItem("dokka-dark-mode")
    if (storage == null) {
        const osDarkSchemePreferred = window.matchMedia && window.matchMedia('(prefers-color-scheme: dark)').matches
        if (osDarkSchemePreferred === true) {
            document.getElementsByTagName("html")[0].classList.add("theme-dark")
        }
    } else {
        const savedDarkMode = JSON.parse(storage)
        if(savedDarkMode === true) {
            document.getElementsByTagName("html")[0].classList.add("theme-dark")
        }
    }
    </script>
<script type="text/javascript" src="../../../../scripts/sourceset_dependencies.js" async="async"></script>
<link href="../../../../styles/style.css" rel="Stylesheet">
<link href="../../../../styles/jetbrains-mono.css" rel="Stylesheet">
<link href="../../../../styles/main.css" rel="Stylesheet">
<link href="../../../../styles/prism.css" rel="Stylesheet">
<link href="../../../../styles/logo-styles.css" rel="Stylesheet">
<script type="text/javascript" src="../../../../scripts/clipboard.js" async="async"></script>
<script type="text/javascript" src="../../../../scripts/navigation-loader.js" async="async"></script>
<script type="text/javascript" src="../../../../scripts/platform-content-handler.js" async="async"></script>
<script type="text/javascript" src="../../../../scripts/main.js" defer="defer"></script>
<script type="text/javascript" src="../../../../scripts/prism.js" async="async"></script>
<script type="text/javascript" src="../../../../scripts/symbol-parameters-wrapper_deferred.js" defer="defer"></script>
</head>
<body>
<div class="navigation-wrapper" id="navigation-wrapper">
    <div id="leftToggler"><span class="icon-toggler"></span></div>
    <div class="library-name">
            <a href="../../../../index.html">
                    <span>bluconnect</span>
            </a>
    </div>
    <div>
    </div>
    <div class="pull-right d-flex">
        <div class="filter-section" id="filter-section">
                <button class="platform-tag platform-selector jvm-like" data-active="" data-filter=":bluconnect:dokkaHtml/release">androidJvm</button>
        </div>
        <button id="theme-toggle-button"><span id="theme-toggle"></span></button>
        <div id="searchBar"></div>
    </div>
</div>
<div id="container">
    <div id="leftColumn">
        <div id="sideMenu"></div>
    </div>
    <div id="main">
<div class="main-content" data-page-type="member" id="content" pageIds="bluconnect::com.aptener.bluconnect/BluConnectApp.Companion/onNotificationPosted/#android.service.notification.StatusBarNotification?#android.content.Context/PointingToDeclaration//-1410038383">
  <div class="breadcrumbs"><a href="../../../../index.html">bluconnect</a><span class="delimiter">/</span><a href="../../index.html">com.aptener.bluconnect</a><span class="delimiter">/</span><a href="../index.html">BluConnectApp</a><span class="delimiter">/</span><a href="index.html">Companion</a><span class="delimiter">/</span><span class="current">onNotificationPosted</span></div>
  <div class="cover ">
    <h1 class="cover"><span>on</span><wbr></wbr><span>Notification</span><wbr></wbr><span><span>Posted</span></span></h1>
  </div>
  <div class="platform-hinted " data-platform-hinted="data-platform-hinted"><div class="content sourceset-dependent-content" data-active="" data-togglable=":bluconnect:dokkaHtml/release"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="on-notification-posted.html"><span class="token function">onNotificationPosted</span></a><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">sbn<span class="token operator">: </span><a href="https://developer.android.com/reference/kotlin/android/service/notification/StatusBarNotification.html">StatusBarNotification</a><span class="token operator">?</span><span class="token punctuation">, </span></span><span class="parameter ">context<span class="token operator">: </span><a href="https://developer.android.com/reference/kotlin/android/content/Context.html">Context</a></span></span><span class="token punctuation">)</span></div><p class="paragraph">This method parse the <a href="https://developer.android.com/reference/kotlin/android/service/notification/StatusBarNotification.html">StatusBarNotification</a> and extracts the WhatsApp message and the sender details to announce the message</p><p class="paragraph">Prerequisite <br> Implement <a href="https://developer.android.com/reference/android/service/notification/NotificationListenerService">NotificationListenerService</a>, override <a href="https://developer.android.com/reference/kotlin/android/service/notification/NotificationListenerService.html#onnotificationposted">NotificationListenerService.onNotificationPosted</a> method and call <a href="on-notification-posted.html">BluConnectApp.onNotificationPosted</a></p><h4 class="">Parameters</h4><div class="table"><div class="table-row" data-filterable-current=":bluconnect:dokkaHtml/release" data-filterable-set=":bluconnect:dokkaHtml/release"><div class="main-subrow keyValue "><div class=""><span class="inline-flex"><div><u><span><span>sbn</span></span></u></div></span></div><div><div class="title"><p class="paragraph">require <a href="https://developer.android.com/reference/kotlin/android/service/notification/StatusBarNotification.html">StatusBarNotification</a> from <a href="https://developer.android.com/reference/kotlin/android/service/notification/NotificationListenerService.html#onnotificationposted">NotificationListenerService.onNotificationPosted</a></p></div></div></div></div></div></div></div>
</div>
      <div class="footer">
        <span class="go-to-top-icon"><a href="#content" id="go-to-top-link"></a></span><span>© 2023 Copyright</span><span
                class="pull-right"><span>Generated by </span><a
                href="https://github.com/Kotlin/dokka"><span>dokka</span><span class="padded-icon"></span></a></span>
      </div>
    </div>
</div>
</body>
</html>
